darcs

Issue 2017 darcs apply => not in the patchset in splitOnTag (2.5)

Title darcs apply => not in the patchset in splitOnTag (2.5)
Priority bug Status resolved
Milestone Resolved in
Superseder Nosy List kowey
Assigned To
Topics Regression

Created on 2010-12-16.12:12:08 by kowey, last changed 2020-08-01.11:01:21 by bf.

Messages
msg13347 (view) Author: kowey Date: 2010-12-16.12:12:06
I'm nominating this for 2.5.1 because it's a regression from the darcs-
2.4.x line (perhaps it'd be more realistic to bump it).

The symptom seems to kick in when you have at least one tag in the repo 
you're applying to (don't know if it has to be in the shared context or 
not), but you're missing the tag the bundle is against.

I have a regression test which I'll submit shortly
msg13463 (view) Author: ganesh Date: 2011-01-05.23:10:29
We need a fix for this soon if it's to make 2.5.1. (Also, don't forget the 
promised test.)
msg13464 (view) Author: ganesh Date: 2011-01-05.23:12:06
Sorry, just saw the test is in patch509.
msg21308 (view) Author: bf Date: 2019-09-01.20:08:33
Reopening this issue. We have recently seen situations where this
re-appeared that aren't covered by the tests. The symptom is either
darcs hanging indefinitely, or crashing with the dreaded "failed to
commute common patches" error. A preliminary fix is contained in
patch1901 but it may need cleanup and doesn't yet cover context
files, which have the same problem.
msg22355 (view) Author: bf Date: 2020-08-01.11:01:18
The mentioned patch that fixes this is accepted together with a few 
follow-ups that also fix context files.
History
Date User Action Args
2010-12-16 12:12:08koweycreate
2010-12-16 12:33:28koweylinkpatch509 issues
2011-01-05 23:10:29ganeshsetmessages: + msg13463
2011-01-05 23:11:11ganeshsetpriority: bug
2011-01-05 23:12:07ganeshsetmessages: + msg13464
2011-01-05 23:16:27ganeshsetmilestone: 2.5.1 -> 2.5.2
2017-07-31 00:23:00ghsetstatus: unknown -> given-up
2019-09-01 20:08:35bfsetstatus: given-up -> has-patch
messages: + msg21308
milestone: 2.5.2 ->
2020-08-01 11:01:21bfsetstatus: has-patch -> resolved
messages: + msg22355